Get Builder Code Statistics
curl --request GET \
--url https://api.ondoperps.xyz/v1/builder_code/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ondoperps.xyz/v1/builder_code/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ondoperps.xyz/v1/builder_code/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ondoperps.xyz/v1/builder_code/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ondoperps.xyz/v1/builder_code/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ondoperps.xyz/v1/builder_code/stats")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ondoperps.xyz/v1/builder_code/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"result": {
"startTime": 1789725600000,
"endTime": 1789729200000,
"totalVolume": "12500.123456789",
"totalBuilderFee": "12.500123456789",
"accounts": [
{
"accountId": "2564891920043613872",
"walletAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD18",
"totalVolume": "10000.123456789",
"builderFee": "10.000123456789"
},
{
"accountId": "2564891920043613873",
"walletAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD18",
"totalVolume": "2500",
"builderFee": "2.5"
}
]
}
}{
"success": false,
"error": "endTime must be at least 1 minute in the past; omit endTime for live statistics",
"error_code": "bad_query_param"
}{
"success": false,
"error": "Description of the error",
"error_code": "auth_missing"
}{
"success": false,
"error": "Description of the error",
"error_code": "account_not_allowed"
}{
"success": false,
"error": "No builder code found for this account.",
"error_code": "builder_code_not_found"
}{
"success": false,
"error": "Description of the error",
"error_code": "too_many_requests"
}{
"success": false,
"error": "Description of the error",
"error_code": "unknown"
}Builder Code
Get Builder Code Statistics
Returns trading volume and builder fees attributed to the builder code owned by the authenticated account. Time bounds are inclusive. Omit endTime for live statistics; live results use a five-minute start-time bucket and are cached for one hour. Historical requests include endTime and are cached for 24 hours. An explicit endTime must be at least one minute in the past.
GET
/
v1
/
builder_code
/
stats
Get Builder Code Statistics
curl --request GET \
--url https://api.ondoperps.xyz/v1/builder_code/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ondoperps.xyz/v1/builder_code/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ondoperps.xyz/v1/builder_code/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ondoperps.xyz/v1/builder_code/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ondoperps.xyz/v1/builder_code/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ondoperps.xyz/v1/builder_code/stats")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ondoperps.xyz/v1/builder_code/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"result": {
"startTime": 1789725600000,
"endTime": 1789729200000,
"totalVolume": "12500.123456789",
"totalBuilderFee": "12.500123456789",
"accounts": [
{
"accountId": "2564891920043613872",
"walletAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD18",
"totalVolume": "10000.123456789",
"builderFee": "10.000123456789"
},
{
"accountId": "2564891920043613873",
"walletAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD18",
"totalVolume": "2500",
"builderFee": "2.5"
}
]
}
}{
"success": false,
"error": "endTime must be at least 1 minute in the past; omit endTime for live statistics",
"error_code": "bad_query_param"
}{
"success": false,
"error": "Description of the error",
"error_code": "auth_missing"
}{
"success": false,
"error": "Description of the error",
"error_code": "account_not_allowed"
}{
"success": false,
"error": "No builder code found for this account.",
"error_code": "builder_code_not_found"
}{
"success": false,
"error": "Description of the error",
"error_code": "too_many_requests"
}{
"success": false,
"error": "Description of the error",
"error_code": "unknown"
}Authorizations
BearerAuthApiKeyAuth
Query Parameters
Response
Builder-code volume and fee statistics for the effective inclusive time window